Package com.ngrok.definitions

# Class EventSource

java.lang.Object
com.ngrok.definitions.EventSource

public class EventSource extends Object
A class encapsulating the `EventSource` resource.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EventSource(String type, URI uri)`
  Creates a new instance of `EventSource`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `String`
  `getType()`
  Type of event for which an event subscription will trigger
  `URI`
  `getUri()`
  URI of the Event Source API resource.
  `int`
  `hashCode()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### EventSource

    public EventSource(String type, URI uri)
    Creates a new instance of `EventSource`.
    Parameters:
      `type` - Type of event for which an event subscription will trigger
      `uri` - URI of the Event Source API resource.

- ## Method Details

  - ### getType

    public String getType()
    Type of event for which an event subscription will trigger
    Returns:
      the value of the property as a `String`

  - ### getUri

    public URI getUri()
    URI of the Event Source API resource.
    Returns:
      the value of the property as a `URI`

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`